Package com.smartgwt.client.types

# Enum MultiPickerSelectionStyle

java.lang.Object
java.lang.Enum<MultiPickerSelectionStyle>
com.smartgwt.client.types.MultiPickerSelectionStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MultiPickerSelectionStyle>`, `Constable`

public enum MultiPickerSelectionStyle extends Enum<MultiPickerSelectionStyle> implements ValueEnum
Governs whether a `MultiPickerItem` displays selected and unselected option in a drop down pickList, or uses a `shuttle interface`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PICKLIST`
  Options will be displayed in a PickList
  `PICKTREE`
  Options will be displayed in a `TreeGrid`.
  `SHUTTLE`
  Options will be displayed in a `Shuttle`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MultiPickerSelectionStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MultiPickerSelectionStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PICKLIST

    public static final MultiPickerSelectionStyle PICKLIST
    Options will be displayed in a PickList

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "pickList".

  - ### SHUTTLE

    public static final MultiPickerSelectionStyle SHUTTLE
    Options will be displayed in a `Shuttle`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "shuttle".

  - ### PICKTREE

    public static final MultiPickerSelectionStyle PICKTREE
    Options will be displayed in a `TreeGrid`. Only suitable for hierarchical data.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "pickTree".

- ## Method Details

  - ### values

    public static MultiPickerSelectionStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MultiPickerSelectionStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`